bashism--; Use POSIX-compatible string handling instead.
authorDiego Biurrun <diego@biurrun.de>
Tue, 3 Jan 2006 15:13:59 +0000 (15:13 +0000)
committerDiego Biurrun <diego@biurrun.de>
Tue, 3 Jan 2006 15:13:59 +0000 (15:13 +0000)
Originally committed as revision 4806 to svn://svn.ffmpeg.org/ffmpeg/trunk

configure

index 0fc195e..f8c7f0c 100755 (executable)
--- a/configure
+++ b/configure
@@ -1474,13 +1474,13 @@ lavu_version=`grep '#define LIBAVUTIL_VERSION ' "$source_path/libavutil/avutil.h
 if test "$lshared" = "yes" ; then
   echo "BUILD_SHARED=yes" >> config.mak
   echo "PIC=-fPIC -DPIC" >> config.mak
-  echo "SPPMAJOR=${lavc_version/.*/}" >> config.mak
+  echo "SPPMAJOR=${lavc_version%%.*}" >> config.mak
   echo "SPPVERSION=$lavc_version" >> config.mak
-  echo "LAVCMAJOR=${lavc_version/.*/}" >> config.mak
+  echo "LAVCMAJOR=${lavc_version%%.*}" >> config.mak
   echo "LAVCVERSION=$lavc_version" >> config.mak
-  echo "LAVFMAJOR=${lavf_version/.*/}" >> config.mak
+  echo "LAVFMAJOR=${lavf_version%%.*}" >> config.mak
   echo "LAVFVERSION=$lavf_version" >> config.mak
-  echo "LAVUMAJOR=${lavu_version/.*/}" >> config.mak
+  echo "LAVUMAJOR=${lavu_version%%.*}" >> config.mak
   echo "LAVUVERSION=$lavu_version" >> config.mak
 fi
 echo "EXTRALIBS=$extralibs" >> config.mak